Package io.vertx.openapi.contract

## Interface SecurityScheme

- All Superinterfaces:
    `OpenAPIObject`

      public interface SecurityScheme
      extends OpenAPIObject

  Represents a Security Scheme Object.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBearerFormat()` | A hint to the client to identify how the bearer token is formatted.
    `OAuthFlows` | `getFlows()` | An object containing configuration information for the flow types supported.
    `String` | `getIn()` | The location of the API key.
    `String` | `getName()` | The name of the header, query or cookie parameter to be used.
    `String` | `getOpenIdConnectUrl()` | OpenId Connect URL to discover OAuth2 configuration values.
    `String` | `getScheme()` | The name of the HTTP Authorization scheme to be used in the Authorization header as defined in [RFC7235].
    `String` | `getType()` | The type of the security scheme.

    - ### Methods inherited from interface io.vertx.openapi.contract.OpenAPIObject

      `getExtensions, getOpenAPIModel`

- - ### Method Detail

    - #### getType

          String getType()

      The type of the security scheme. Valid values are "apiKey", "http", "mutualTLS", "oauth2", "openIdConnect"

    - #### getName

          String getName()

      The name of the header, query or cookie parameter to be used.

    - #### getIn

          String getIn()

      The location of the API key. Valid values are "query", "header" or "cookie".

    - #### getScheme

          String getScheme()

      The name of the HTTP Authorization scheme to be used in the Authorization header as defined in [RFC7235]. The values used SHOULD be registered in the IANA Authentication Scheme registry.

    - #### getBearerFormat

          String getBearerFormat()

      A hint to the client to identify how the bearer token is formatted. Bearer tokens are usually generated by an authorization server, so this information is primarily for documentation purposes.

    - #### getFlows

          OAuthFlows getFlows()

      An object containing configuration information for the flow types supported.

    - #### getOpenIdConnectUrl

          String getOpenIdConnectUrl()

      OpenId Connect URL to discover OAuth2 configuration values. This MUST be in the form of a URL. The OpenID Connect standard requires the use of TLS.